Bug 129497 - default mount vfat usb_storage gives ReadOnly without EROFS
default mount vfat usb_storage gives ReadOnly without EROFS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-09 14:39 EDT by John Reiser
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:01:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-08-09 14:39:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
Mounting a USB flash memory device "succeeds" but with ReadOnly
instead of ReadWrite, and no error code is given to /bin/mount.


Version-Release number of selected component (if applicable):
kernel-2.6.7-1.509

How reproducible:
Always

Steps to Reproduce:
1. Plug in USB flash memory device (such as 16MB CompUSA:
P:  Vendor=09a6 ProdID=8001 Rev= 1.00
S:  Manufacturer=AVC Technology Ltd.
S:  Product=INSTANT Drive
)
2. # mount /dev/sda1 /mnt/sda1
3.
    

Actual Results:  mount "succeeds" (no error code in shell, and strace
shows:
   execve("/bin/mount", ["mount", "/dev/sda1", "/mnt/sda1"], [/* 33
vars */]) = 0
   mount("/dev/sda1", "/mnt/sda1", "vfat", 0xc0ed0000, 0) = 0
)
but actual mount is ReadOnly (no file can be created in the mounted-on
directory) and /var/log/messages shows:
   Aug  9 11:20:12 fc3test1 kernel: FAT: codepage or iocharset option
didn't specified
   Aug  9 11:20:12 fc3test1 kernel:      File name can not access
proper (mounted as read-only)
which contains an incomplete and poorly-worded message.

Expected Results:  Successful ReadWrite mount with default codepage
437 [as given in "man mount":
       codepage=value
              Sets the codepage for converting to shortname characters
on  FAT
              and VFAT filesystems. By default, codepage 437 is used.
]


Additional info:

/bin/mount is from util-linux-2.12a-2 .
Comment 1 John Reiser 2004-08-09 14:41:57 EDT
That was when booting with SELinux disabled via "selinux=0" on kernel
command line.  When SELinux is in the targeted permissive mode, there
is an additional line in /var/log/messages:
Aug  9 10:23:42 fc3test1 kernel: SELinux: initialized (dev sda1, type
vfat), uses genfs_contexts
but the mount is still ReadOnly with no EROFS.
Comment 2 Dave Jones 2004-12-08 01:49:13 EST
any better with the latest updates ?
Comment 3 John Reiser 2004-12-08 15:31:19 EST
Works properly using kernel-2.6.9-1.6_FC2, independent of SELinux in targeted
permissive mode, or turned off with "selinux=0" on boot command line.
Comment 4 Dave Jones 2005-04-16 01:01:43 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.